{% extends "base.html" %}
{% block title %} Choose A Place {% endblock %}
{% block content %}

<div class="row" style="margin: 2rem">
    <div class="col-sm-4" id="country_div">
        <select class="form-select" aria-label="Default select example" id="country_selector" onchange="showCountries(this)">
            <option value="" selected disabled hidden>Choose a Country!</option>
            {% for country in countries %}
                <option value="{{country}}">{{country}}</option>
            {% endfor %}
        </select>
    </div>
    <div class="col-sm-4" id="city_div">
        <select class="form-select" aria-label="Default select example" id="city_selector" name="city_selector" onchange="showCities(this)">
            <option value="" selected disabled hidden>Choose a City!</option>
        </select>
    </div>
    <div class="col-sm-4" id="airport_div">
        <select class="form-select" aria-label="Default select example" id="airport_selector" onchange="getAirport(this)">
            <option value="" selected disabled hidden>Choose an Airport!</option>
        </select>
    </div>
    <div class="d-grid gap-2 col-2 mx-auto">
    </div>
</div>
<div class="card" style="margin-left: 2rem; margin-right: 2rem">
  <div class="card-body">
    <h2>Airports Nearest to You</h2>
  </div>
</div>
<div class="accordion" id="accordionExample" style="margin-left: 2rem; margin-right: 2rem; margin-bottom: 2rem">
    {% for i in range(length) %}
  <div class="accordion-item">
    <h2 class="accordion-header" id="{{closest_airports[i]}}">
      <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{i}}" aria-expanded="true" aria-controls="collapse{{i}}">
          {{closest_airports[i]}}
      </button>
    </h2>
    <div id="collapse{{i}}" class="accordion-collapse collapse show" aria-labelledby="heading{{i}}" data-bs-parent="#accordionExample">
      <div class="accordion-body">
      </div>
    </div>
  </div>
    {% endfor %}
</div>
<div class="row">
<div class="col-sm-6" style="margin: 2rem" id="weather_data">
    <ul style="margin: 2rem"></ul>
</div>
    <div class="col-sm-6">
        <div class="card" style="margin: 2rem" id="description_card" hidden></div>
    </div>
</div>
{% endblock %}